# Method: accounts.omnichannelSettings.patch

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/patch#try-it)

Update the omnichannel setting for a given merchant in a given country.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1/{omnichannelSetting.name=accounts/*/omnichannelSettings/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `omnichannelSetting.name` | `string` Identifier. The resource name of the omnichannel setting. Format: `accounts/{account}/omnichannelSettings/{omnichannelSetting}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to be updated. The following fields are supported in snake_case only: - `lsfType` - `inStock` - `pickup` - `odo` - `about` - `inventoryVerification` Full replacement with wildcard `*`is supported, while empty/implied update mask is not. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).